[Tkinter-discuss] Python 3.3.0a3 on Macs

Michael Lange klappnase at web.de
Sat May 12 11:06:09 CEST 2012


Hi,

Thus spoketh "Michael O'Donnell" <michael.odonnell at uam.es> 
unto us on Sat, 12 May 2012 10:38:16 +1000:

> Dear all,
> 
>   Just tried the latest release of  Python 3.3.0a3
> (v3.3.0a3:0b53b70a40a0, May  1 2012, 11:10:44)
> on my MacOSX Lion.
> 
> It seems use of  tkinter NoteBook breaks:
> 
> from tkinter import *
> import tkinter.ttk
> root = Tk()
> nb=tkinter.ttk.Notebook(root)
> nb.pack(expand=True, fill=BOTH)
> nb.add(Canvas(nb, bg="red"), text="Pane 1")
> nb.add(Canvas(nb, bg="blue"), text="Pane 2")
> root.mainloop()
> 
> Traceback (most recent call last):
>   File "/Users/micko/Google Drive/ALL_FILES/TO
> DO/CorpusTool30b1/NotebookTest.py", line 5, in <module>
>     nb=tkinter.ttk.Notebook(root)
>   File
> "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/tkinter/ttk.py",
> line 857, in __init__ Widget.__init__(self, master, "ttk::notebook", kw)
>   File
> "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/tkinter/ttk.py",
> line 559, in __init__ _load_tile(master)
>   File
> "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/tkinter/ttk.py",
> line 47, in _load_tile master.tk.eval('package require tile') #
> TclError may be raised here _tkinter.TclError: can't find package tile
> 
> Now, I though Tile had been folded into Tkinter. Or do I need to
> download and install it separately still?

This looks like your Python install uses Tk-8.4 , if this is the case you
will have to install tile additionally, it is included in Tk only since
Tk-8.5 .

Regards

Michael


.-.. .. ...- .   .-.. --- -. --.   .- -. -..   .--. .-. --- ... .--. . .-.

We have phasers, I vote we blast 'em!
		-- Bailey, "The Corbomite Maneuver", stardate 1514.2


More information about the Tkinter-discuss mailing list